# FactionEvent
Date: 2018-12-06

com.massivecraft.factions.event

## Class FactionEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionEvent

Direct Known Subclasses:
  FactionDisbandEvent, FactionPlayerEvent

    public class FactionEvent
    extends org.bukkit.event.Event

Represents an event involving a Faction.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`FactionEvent(Faction faction)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Faction` `getFaction()` Get the Faction involved in the event.
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FactionEvent

    public FactionEvent(Faction faction)

### Method Detail

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### getFaction

    public Faction getFaction()

Get the Faction involved in the event.

Returns:
  faction involved in the event.

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`